//
//  ViewController.m
//  GameComboSDKExample-OC
//
//  Created by dusmit on 2020/9/1.
//  Copyright © 2020 巨擎网络科技(济南)有限公司. All rights reserved.
//

#import "ViewController.h"
#import <GameSDK/GameSDK-Swift.h>

@interface ViewController ()

@property (nonatomic, strong) UIActivityIndicatorView *waitIndicatorView;

@end

@implementation ViewController

- (UIActivityIndicatorView *)waitIndicatorView {
    
    if (!_waitIndicatorView) {
        UIView *waitView = [[UIView alloc] initWithFrame:CGRectMake((self.view.frame.size.width-60)/2.0, (self.view.frame.size.height-60)/2.0, 60, 60)];
        waitView.backgroundColor = [[UIColor blackColor] colorWithAlphaComponent:0.3];
        waitView.layer.cornerRadius = 6;
        waitView.layer.masksToBounds = true;
        [self.view addSubview:waitView];
        
        UIActivityIndicatorView *activity = [[UIActivityIndicatorView alloc]initWithActivityIndicatorStyle:UIActivityIndicatorViewStyleWhite];
        activity.frame = waitView.bounds;
        activity.hidesWhenStopped = true;
        [waitView addSubview:activity];
        _waitIndicatorView = activity;
    }
    return _waitIndicatorView;
}

- (void)viewDidLoad {

    [super viewDidLoad];
    NSArray *arr = @[@"游戏测速"];
    for (int i = 0; i < arr.count; i ++) {
        
        UIButton *button = [UIButton buttonWithType: UIButtonTypeSystem];
        button.tag = 100+i;
        button.frame = CGRectMake((self.view.frame.size.width-100)/2.0, 100+i*50, 100, 50);
        [button setTitle:arr[i] forState:UIControlStateNormal];
        [button addTarget:self action:@selector(test:) forControlEvents:UIControlEventTouchUpInside];
        [self.view addSubview:button];
    }
}

- (void)test:(UIButton *)button {

    [self.view setUserInteractionEnabled:false];
    [self.waitIndicatorView.superview setHidden:false];
    [self.waitIndicatorView startAnimating];
    
    __weak __typeof(&*self)weakSelf = self;
    [GameSDKConfig pushToNetworkTestViewControllerWithNavigationController:self.navigationController success:^{
        dispatch_async(dispatch_get_main_queue(), ^(void) {
            [weakSelf.view setUserInteractionEnabled:true];
            [weakSelf.waitIndicatorView stopAnimating];
            [weakSelf.waitIndicatorView.superview setHidden:true];
        });
    } error:^(NSError * _Nullable error) {
        dispatch_async(dispatch_get_main_queue(), ^(void) {
            [weakSelf.view setUserInteractionEnabled:true];
            [weakSelf.waitIndicatorView stopAnimating];
            [weakSelf.waitIndicatorView.superview setHidden:true];
            
            UIAlertController *alert = [UIAlertController alertControllerWithTitle:@"提示" message:@"请求失败" preferredStyle:UIAlertControllerStyleAlert];
            UIAlertAction *action = [UIAlertAction actionWithTitle:@"知道了" style:UIAlertActionStyleCancel handler:nil];
            [alert addAction:action];
            [self presentViewController:alert animated:true completion:nil];
        });
    }];
    [GameSDKConfig setThemeType:GCThemeTypeWhite];
}


@end
