//
//  ViewController.swift
//  GameComboSDKExample-Swift
//
//  Created by dusmit on 2020/9/1.
//  Copyright © 2020 巨擎网络科技(济南)有限公司. All rights reserved.
//

import UIKit
import GameSDK

class ViewController: UIViewController {
    
    private lazy var waitIndicatorView: UIActivityIndicatorView = {
        
        let waitView = UIView(frame: CGRect(x: (self.view.frame.size.width-60)/2.0, y: (self.view.frame.size.height-60)/2.0, width: 60, height: 60))
        waitView.backgroundColor = UIColor.black.withAlphaComponent(0.3)
        waitView.layer.cornerRadius = 6
        waitView.layer.masksToBounds = true
        self.view.addSubview(waitView)
        
        let activity = UIActivityIndicatorView(style: .white)
        activity.frame = waitView.bounds
        activity.hidesWhenStopped = true
        waitView.addSubview(activity)
        
        return activity
    }()

    override func viewDidLoad() {
        
        super.viewDidLoad()
        let arr = ["游戏测速"]
        for i in 0..<arr.count {
            let button = UIButton(type: .system)
            button.tag = 100+i
            button.frame = CGRect(x: (self.view.frame.width-100)/2.0, y: 100+CGFloat(i)*50, width: 100, height: 50)
            button.setTitle(arr[i], for: .normal)
            button.addTarget(self, action: #selector(test(_:)), for: .touchUpInside)
            self.view.addSubview(button)
        }
    }
    
    @objc private func test(_ button: UIButton) {
        
        view.isUserInteractionEnabled = false
        waitIndicatorView.superview?.isHidden = false
        waitIndicatorView.startAnimating()
        GameSDKConfig.pushToNetworkTestViewController(navigationController: self.navigationController!, success: { [weak self] in
            DispatchQueue.main.async {
                self?.view.isUserInteractionEnabled = true
                self?.waitIndicatorView.stopAnimating()
                self?.waitIndicatorView.superview?.isHidden = true
            }
        }) { [weak self] (error) in
            DispatchQueue.main.async {
                self?.view.isUserInteractionEnabled = true
                self?.waitIndicatorView.stopAnimating()
                self?.waitIndicatorView.superview?.isHidden = true
                
                let alert = UIAlertController(title: "提示", message: "请求失败", preferredStyle: .alert)
                let action = UIAlertAction(title: "知道了", style: .cancel, handler: nil)
                alert.addAction(action)
                self?.present(alert, animated: true, completion: nil)
            }
        }
        GameSDKConfig.setThemeType(.white)
        // print(ComboSDKConfig.isRegisterSuccess())
    }
}

